curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"statuses": [
{
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
],
"subscriberIdString": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}一連のコンタクトの配信登録ステータスをバッチで取得します。
curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"statuses": [
{
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
],
"subscriberIdString": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
配信登録ステータスを絞り込むためのコミュニケーションチャネル。「EMAIL」である必要があります。
EMAIL ビジネスユニットIDを表す任意の整数。このパラメーターは、特定のビジネスユニットに基づいて結果を絞り込むのに役立ちます。
バッチ処理の入力を表す文字列のリスト。
successful operation
バッチ処理が完了した日時。
バッチ処理の結果の配列。それぞれに配信登録ステータス情報が含まれます。
Show child attributes
バッチ処理が始まった日時。
次の値を取り得る、バッチ処理の現在のステータス:PENDING、PROCESSING、CANCELED、COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING バッチレスポンスに関連付けられた関連リンクのコレクション。
Show child attributes
バッチリクエストが行われた日時。